training - Training #942

Safety Inspector -Project
06/02/2022 12:43 AM - Pariniti Sharma

Status: Closed Start date: 06/02/2022
Priority: Normal Due date:

Assignee: Bhuvnesvar Vasistha % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 9.00 hours
Description

History

#1 - 06/09/2022 03:27 AM - Karishma Tak

- Subject changed from Project Training to Safety Inspector -Project

#2 - 06/26/2024 05:30 AM - Karishma Tak

- Status changed from New to Closed

04/02/2025
